# $Revision: 1.36 $, $Date: 2009/10/07 07:22:54 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Pod
%define		pnam	Coverage
Summary:	Pod::Coverage - checks if the documentation of a module is comprehensive
Summary(pl.UTF-8):	Pod::Coverage - sprawdzanie kompletności dokumentacji modułu
Name:		perl-Pod-Coverage
Version:	0.20
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Pod/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	292a5b8d3a93597af441d3e6467b8ad6
URL:		http://search.cpan.org/dist/Pod-Coverage/
BuildRequires:	perl-Module-Build >= 0.21-2
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-Devel-Symdump >= 2.01
BuildRequires:	perl-Pod-Parser >= 1.13
BuildRequires:	perl-Test-Pod >= 1.00
BuildRequires:	perl-Test-Simple
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module provides a mechanism for determining if the pod for a
given module is comprehensive. It expects to find either a =head(n>1)
or an =item block documenting a subroutine.

%description -l pl.UTF-8
Ten moduł udostępnia mechamizm do określania, czy dokumentacja pod dla
danego modułu jest kompletna. Oczekuje bloku =head(n>1) lub =item
opisującego funkcję.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Build.PL \
	installdirs=vendor \
	perl="%{__perl}" \
	destdir=$RPM_BUILD_ROOT
./Build

%{?with_tests:./Build test}

%install
rm -rf $RPM_BUILD_ROOT

./Build install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/*
%{perl_vendorlib}/Pod/*.pm
%{perl_vendorlib}/Pod/Coverage
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Pod-Coverage.spec,v $
Revision 1.36  2009/10/07 07:22:54  amateja
- updated to 0.20

Revision 1.35  2008/01/12 23:21:58  qboosh
- generic URL

Revision 1.34  2008-01-12 23:05:24  agaran
- up to 0.19, rel 1

Revision 1.33  2007-12-22 18:24:11  adamg
- BR: perl-Test-Pod >= 1.00, perl-Pod-Parser >= 1.13 (with tests)

Revision 1.32  2007/02/13 07:47:14  glen
- tabs in preamble

Revision 1.31  2007/02/12 01:06:22  baggins
- converted to UTF-8

Revision 1.30  2006/10/25 16:40:20  ankry
- ver. 0.18

Revision 1.29  2004/12/01 21:43:11  radek
- BR perl-Pod-Parser at least 1.16

Revision 1.28  2004/12/01 21:33:37  radek
- release 2: BR: perl-Pod-Parser

Revision 1.27  2004/12/01 18:06:00  radek
- autoupdated to 0.17

Revision 1.26  2004/11/03 22:30:40  paladine
- formatting

Revision 1.25  2004/06/05 18:10:46  radek
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

Revision 1.24  2004/05/09 21:34:37  qboosh
- pass perl to depend on just %{__perl} instead of /usr/bin/perl5.8.4 or so

Revision 1.23  2004/05/09 15:13:44  adamg
- release 1

Revision 1.22  2004/05/09 15:06:29  adamg
- updated to 0.14

Revision 1.21  2004/05/07 00:32:03  ankry
- rel. 2

Revision 1.20  2004/05/06 18:20:55  ankry
- fixed perl-devel BR

Revision 1.19  2004/05/02 23:22:03  ankry
- unified license

Revision 1.18  2004/04/26 14:46:22  radek
- unified license information (greppable easier)

Revision 1.17  2004/04/22 21:36:22  agaran
- license update

Revision 1.16  2004/04/15 08:36:00  ankry
- cosmetics

Revision 1.15  2004/02/18 19:39:40  qboosh
- added pod_cover utility

Revision 1.14  2004/02/16 22:15:40  adamg
- updated to 0.13

Revision 1.13  2003/10/25 00:07:02  qboosh
- pass optimize (now it's debug-ready)

Revision 1.12  2003/10/12 12:19:39  migo
- up to 0.12
- switch to Module::Build
- new bcond style

Revision 1.11  2003/09/09 10:24:45  ankry
- spaces -> tab

Revision 1.10  2003/08/18 08:09:08  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.9  2003/05/28 13:00:58  malekith
- massive attack: source-md5

Revision 1.8  2003/05/25 06:24:54  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.7  2003/04/11 18:59:26  radek
- BR: perl-devel; do not BR: perl

Revision 1.6  2003/03/01 20:22:31  radek
- should be ready for perl-5.8.0; release++

Revision 1.5  2003/02/25 00:41:04  radek
- use the __perl macro

Revision 1.4  2003/02/18 15:37:42  ankry
- massive attack: change CPAN URLs

Revision 1.3  2002/09/16 08:26:30  ankry
- added missing dirs
- release 3

Revision 1.2  2002/08/31 12:20:42  qboosh
- it can't be noarch!!!
- pl description, release 2

Revision 1.1  2002/08/25 15:18:42  radek
- new, STBR
